### Method

# AppStream Image set_locale

since: 0.9.5

#### Declaration [src]

    void
    as_image_set_locale (
      AsImage* image,
      const gchar* locale
    )

#### Description [src]

Sets the locale for this image.

Available since: 0.9.5

#### Parameters

`locale`

  Type: `const gchar*`

  The BCP47 locale string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.